#!/bin/bash
#
# virtuatables 0.1 - Andr Bruce ( abruce _at_ virtuaserver.com.br )
# Create a "virtual" iptables support inside a vserver
# First version: 23/11/2006
#
    

IPTABLES_SERVER_IP=192.168.7.13
IPTABLES_SERVER_PORT=4558
#IPTABLES_SERVER_PORT=$1

# Verificando se nc est disponvel
tmp=`/usr/bin/whereis nc | cut -d : -f 2`
if [ "" == "$tmp" ]
then
	echo "netcat (nc) not found (apt-get install netcat)"
	exit
fi


if [ -f /proc/self/vinfo ]
then
	LOCAL_XID=`cat /proc/self/vinfo | grep XID | awk -F ' ' '{print $2}'`
else
	LOCAL_XID=33034
fi


echo $LOCAL_XID $* | nc $IPTABLES_SERVER_IP $IPTABLES_SERVER_PORT

